#include <kdialog.h>
#include <klocale.h>

#ifndef UI_ADVANCEDPAGE_H
#define UI_ADVANCEDPAGE_H

#include <qvariant.h>


#include <Qt3Support/Q3MimeSourceFactory>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QCheckBox>
#include <QtGui/QGridLayout>
#include <QtGui/QLabel>
#include <QtGui/QSpacerItem>
#include <QtGui/QWidget>
#include <knuminput.h>
#include "knuminput.h"

class Ui_AdvancedPage
{
public:
    QGridLayout *gridLayout;
    QSpacerItem *spacerItem;
    QLabel *timeoutLbl;
    QLabel *compressionLbl;
    QCheckBox *kcfg_UseSshAgent;
    KIntNumInput *kcfg_Compression;
    KIntNumInput *kcfg_Timeout;

    void setupUi(QWidget *advancedPage)
    {
    if (advancedPage->objectName().isEmpty())
        advancedPage->setObjectName(QString::fromUtf8("advancedPage"));
    advancedPage->resize(575, 290);
    gridLayout = new QGridLayout(advancedPage);
    gridLayout->setSpacing(6);
    gridLayout->setMargin(0);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    spacerItem = new QSpacerItem(31, 41, QSizePolicy::Minimum, QSizePolicy::Expanding);

    gridLayout->addItem(spacerItem, 3, 1, 1, 1);

    timeoutLbl = new QLabel(advancedPage);
    timeoutLbl->setObjectName(QString::fromUtf8("timeoutLbl"));
    timeoutLbl->setWordWrap(false);

    gridLayout->addWidget(timeoutLbl, 0, 0, 1, 1);

    compressionLbl = new QLabel(advancedPage);
    compressionLbl->setObjectName(QString::fromUtf8("compressionLbl"));
    compressionLbl->setWordWrap(false);

    gridLayout->addWidget(compressionLbl, 1, 0, 1, 1);

    kcfg_UseSshAgent = new QCheckBox(advancedPage);
    kcfg_UseSshAgent->setObjectName(QString::fromUtf8("kcfg_UseSshAgent"));

    gridLayout->addWidget(kcfg_UseSshAgent, 2, 0, 1, 2);

    kcfg_Compression = new KIntNumInput(advancedPage);
    kcfg_Compression->setObjectName(QString::fromUtf8("kcfg_Compression"));
    kcfg_Compression->setMinimum(0);
    kcfg_Compression->setMaximum(9);

    gridLayout->addWidget(kcfg_Compression, 1, 1, 1, 1);

    kcfg_Timeout = new KIntNumInput(advancedPage);
    kcfg_Timeout->setObjectName(QString::fromUtf8("kcfg_Timeout"));
    kcfg_Timeout->setMinimum(0);
    kcfg_Timeout->setMaximum(50000);

    gridLayout->addWidget(kcfg_Timeout, 0, 1, 1, 1);

    timeoutLbl->setBuddy(kcfg_Timeout);
    compressionLbl->setBuddy(kcfg_Compression);

    retranslateUi(advancedPage);

    QMetaObject::connectSlotsByName(advancedPage);
    } // setupUi

    void retranslateUi(QWidget *advancedPage)
    {
    timeoutLbl->setText(tr2i18n("&Timeout after which a progress dialog appears (in ms):", 0));
    compressionLbl->setText(tr2i18n("Default compression &level:", 0));
    kcfg_UseSshAgent->setText(tr2i18n("Utilize a running or start a new ssh-agent process", 0));
    Q_UNUSED(advancedPage);
    } // retranslateUi

};

namespace Ui {
    class AdvancedPage: public Ui_AdvancedPage {};
} // namespace Ui

class AdvancedPage : public QWidget, public Ui::AdvancedPage
{
    Q_OBJECT

public:
    AdvancedPage(QWidget* parent = 0, const char* name = 0, Qt::WindowFlags fl = 0);
    ~AdvancedPage();

protected slots:
    virtual void languageChange();

};

#endif // ADVANCEDPAGE_H

